<?php function internal_link_finder_backend(){ ?>
    <div class="ibl-wrap wrap">
        <div class="ibl-row">
            <h1>Internal Link Finder</h1>
            <p><strong>This plugin works on the front-end of your website</strong></p>
            <div class="ibl-steps">
                <div class="ibl-step">
                    <div class="number">1</div>
                    <h4>Browse</h4>
                    <p>Browse through the frontend of your site and find a particular page you would like to improve the SEO of.</p>
                </div>
                <div class="ibl-step">
                    <div class="number">2</div>
                    <h4>Open</h4>
                    <p>To initialise Internal Link Finder click the icon in the bottom left corner of your browser window.</p>
                </div>
                <div class="ibl-step">
                    <div class="number">3</div>
                    <h4>Search</h4>
                    <p>Enter a particular keyphrase that relates to the page your are viewing.</p>
                </div>
                <div class="ibl-step">
                    <div class="number">4</div>
                    <h4>Review</h4>
                    <p>Review the list of returned results and insert links within the page content if plausable.</p>
                </div>
            </div>
        </div>

        <div class="ibl-row" style="text-align:center;margin-top:30px;">
            <a href="/" class="ibl-button">Start using Internal Link Finder</a>
        </div>

	</div>
 <?php }


function ibl_backend_admin_menu(){
    add_menu_page('Internal Link Finder', 'Internal Link Finder', 'manage_options', 'internal-link-finder', 'internal_link_finder_backend');
}
add_action( 'admin_menu', 'ibl_backend_admin_menu' );