<?php function toast_internal_backlink_finder(){ ?>
<?php if(current_user_can('administrator') || current_user_can('editor')): ?>
<div class="internal-backlink-checker">

<div class="ibl-box" data-page-id="<?php echo get_the_id(); ?>" data-page-request="<?php echo $_SERVER['REQUEST_URI']; ?>">
	<div class="ibl-close"><img src="<?php echo plugin_dir_url( __FILE__ ).'assets/images/close.svg'; ?>" alt="Internal Link Finder Close Icon"></div>
	<div class="ibl-tabs">
		<div class="ibl-tab active" data-tab="ibl-results">Find potential links</div>
		<div class="ibl-tab" data-tab="ibl-current">What's already linking to this page</div>
	</div>
	<div class="ibl-tabs-content">
	
		<div id="ibl-results" class="ajax-results ibl-tab-content active">
			<div class="ibl-keyphrase">
				<input type="text" placeholder="Input the keyphrase to this page here" data-current-id="<?php echo get_the_id(); ?>">
			</div>
		</div>
	
		<div id="ibl-current" class="ibl-tab-content ajax-results">
			<div class="ibl-scroll ibl-current-links">
				
			</div>
		</div>
	
	</div>
</div>

<div class="internal-backlink-toggle">Internal link finder</div>
</div>
<?php endif; ?>
<?php }
add_action('wp_footer', 'toast_internal_backlink_finder'); ?>