<?php function ibl_show_results(){ ?>
<?php $search = strtolower($_POST['ibl_page_keyphrase']); ?>
<?php $ibl_page_url = $_POST['ibl_page_url']; ?>
<?php $page_relative_urls = array('href="'.$ibl_page_url.'">', 'href="'.get_site_url().$ibl_page_url.'">', 'href="'.get_site_url().rtrim($ibl_page_url, '/').'">', 'href="'.rtrim($ibl_page_url, '/').'">'); ?>
<?php $page_id = get_the_id(); ?>
<?php $post_count = 0; ?>
<?php $linked_pages = ibl_current_link_update(true); ?>

<?php $args = array(
	'post_type' => get_post_types(array('public' => true)), 
	'posts_per_page' => -1, 
	'post__not_in' => $linked_pages,
	'post_status' => 'publish'
	); ?>
 
<?php $ibl_query = new WP_Query($args); ?>
	<div class="ibl-scroll meta-padding">


		<?php while($ibl_query->have_posts()): $ibl_query->the_post(); ?>
			<?php $acf_content = ibl_get_acf_content(); ?>
			<?php if(strpos(strtolower(get_the_content()), strtolower($search)) !== false || strpos(strtolower($acf_content), strtolower($search))): ?>
				<?php $post_count++; ?>
				<div class="ibl-result">

					<a href="<?php echo get_edit_post_link(); ?>" target="_blank">
						<h3><?php the_title(); ?></h3>
						<div class="permalink"><?php the_permalink(); ?></div>
					</a>
				</div>
			<?php endif; ?>
		<?php endwhile; ?>

	<?php if($post_count == 0): ?>
	<div class="ibl-error">We can't find any pages that match your inserted keyphrase.</div>
	<div class="ibl-keyphrase">
		<input type="text" placeholder="Input a new keyphrase here" data-current-id="<?php echo get_the_id(); ?>">
	</div>
	<?php endif; ?>
</div>

 	<?php ibl_meta_bar($search, $post_count);

	wp_reset_postdata();
	die();
} 
add_action('wp_ajax_nopriv_ibl_show_results' , 'ibl_show_results', 1);
add_action('wp_ajax_ibl_show_results' , 'ibl_show_results', 1);
?>