<?php
   /*
   Plugin Name: Internal Link Finder
   Plugin URI:
   description: An easy to use SEO tool to help you manage internal links on your website.
   Version: 2.0.1
   Author: Toast Plugins
   Author URI: https://www.toastplugins.co.uk/
   */
?>
<?php include dirname(__FILE__) . '/frontend/finder.php'; ?>
<?php include dirname(__FILE__) . '/frontend/current.php'; ?>
<?php include dirname(__FILE__) . '/frontend/results.php'; ?>
<?php include dirname(__FILE__) . '/frontend/functions.php'; ?>
<?php include dirname(__FILE__) . '/backend/page.php'; ?>


<?php function bl_finder_enqueue_scripts(){
if(current_user_can('editor') || current_user_can('administrator')):
wp_enqueue_style( 'bl_finder_css', plugin_dir_url( __FILE__ ) . 'frontend/assets/frontend-style.css', array(), 'null', false );
wp_enqueue_script( 'bl_finder_js', plugin_dir_url( __FILE__ ) . 'frontend/assets/frontend-script.js', array('jquery'), 'null', false );
endif;
}
add_action( 'wp_enqueue_scripts', 'bl_finder_enqueue_scripts' ); ?>

<?php function ibl_finder_enqueue_backend_scripts(){
   if($_GET['page'] == 'internal-link-finder'):
      wp_enqueue_style( 'bl_finder_backend_css', plugin_dir_url( __FILE__ ) . 'backend/assets/style.css', array(), 'null', false );
   endif;
}
add_action( 'admin_enqueue_scripts', 'ibl_finder_enqueue_backend_scripts' ); ?>